# -*- rpm-spec -*-
# $Id: kernel-feat-bttv.spec,v 1.2 2003/09/12 15:57:38 vsu Exp $
#
%define  addon_name kernel-feat-bttv

Name: %addon_name
Version: 2003.07.12
%define upstream_version 0.7.107

Release: alt1

Summary: %addon_name kernel addon - bttv (TV Capturing drivers)
License: Distributable
Group: Development/Other
Url: http://www.bytesex.org/
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>

Source0: bttv-%upstream_version-driver_only.tar.bz2
Source1: %{addon_name}.sh
Source2: %{addon_name}-Makefile
Source3: %{addon_name}-Config.in

Patch1: %{addon_name}-0.7.107-i2c-2.8.0.patch

BuildArch: noarch
BuildPreReq: kernel-build-tools

%description
These are the drivers for TV Capturing for Linux.

%prep
%setup -q -c
%patch1 -p1

%install

%__mkdir_p %{patches_dir}/%{addon_name}/Config.in.d
%__mkdir_p %{patches_dir}/%{addon_name}/Makefile.d
%__mkdir_p %{patches_dir}/apply/
%__cp -a ./ %{patches_dir}/%{addon_name}/
%__install -m 755 %SOURCE1 %{patches_dir}/apply/%{addon_name}
%__install -m 755 %SOURCE2 %{patches_dir}/%{addon_name}/Makefile.d
%__install -m 755 %SOURCE3 %{patches_dir}/%{addon_name}/Config.in.d

%files
%_usrsrc/*

%changelog
* Fri Sep 12 2003 Sergey Vlasov <vsu@altlinux.ru> 2003.07.12-alt1
- bttv 0.7.107
- moved patch for i2c-2.8.0 from kernel-feat-i2c to this package;
  updated it for new bttv

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.21-alt1
- initial release of bttv

* Sat Jun 21 2003 Peter Novodvorsky <nidd@altlinux.com> 2003.06.21-alt5
- uses generate_addons script now.
- Config.in and Makefile sources are taken out of main source tarball.

* Tue Jun 03 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt4
- Converted source to module

* Mon Jun 02 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt3
- Fix install script for addon

* Thu May 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt2
- Fix permissions in the %{addon_name}.tar.bz2

* Thu May 29 2003 Alexander Bokovoy <ab@altlinux.ru> 2003.05.29-alt1
- iSCSI addon integrated

